# Uses of Interface
org.osgi.framework.wiring.BundleWiring

Packages that use BundleWiring
Package
Description
org.apache.felix.framework
org.apache.felix.framework.resolver
org.apache.felix.framework.util
org.apache.felix.framework.wiring
org.osgi.framework.hooks.weaving
Framework Weaving Hooks Package Version 1.1.
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.

## Uses of BundleWiring in org.apache.felix.framework

Classes in org.apache.felix.framework that implement BundleWiring
Modifier and Type
Class
Description
`class`
`BundleWiringImpl`
Methods in org.apache.felix.framework that return BundleWiring
Modifier and Type
Method
Description
`BundleWiring`
BundleRevisionImpl.`getWiring()`
Methods in org.apache.felix.framework that return types with arguments of type BundleWiring
Modifier and Type
Method
Description
`Map<BundleRevision,BundleWiring>`
ResolveContextImpl.`getWirings()`

## Uses of BundleWiring in org.apache.felix.framework.resolver

Methods in org.apache.felix.framework.resolver that return types with arguments of type BundleWiring
Modifier and Type
Method
Description
`abstract Map<BundleRevision,BundleWiring>`
ResolveContext.`getWirings()`

## Uses of BundleWiring in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util with parameters of type BundleWiring
Modifier and Type
Method
Description
`static List<BundleRevision>`
Util.`getFragments(BundleWiring wiring)`

## Uses of BundleWiring in org.apache.felix.framework.wiring

Methods in org.apache.felix.framework.wiring that return BundleWiring
Modifier and Type
Method
Description
`BundleWiring`
BundleWireImpl.`getProviderWiring()`
`BundleWiring`
BundleWireImpl.`getRequirerWiring()`

## Uses of BundleWiring in org.osgi.framework.hooks.weaving

Methods in org.osgi.framework.hooks.weaving that return BundleWiring
Modifier and Type
Method
Description
`BundleWiring`
WovenClass.`getBundleWiring()`
Returns the bundle wiring whose class loader will define the woven class.

## Uses of BundleWiring in org.osgi.framework.wiring

Methods in org.osgi.framework.wiring that return BundleWiring
Modifier and Type
Method
Description
`BundleWiring`
BundleWire.`getProviderWiring()`
Returns the bundle wiring `providing` the `capability`.
`BundleWiring`
BundleWire.`getRequirerWiring()`
Returns the bundle wiring who `requires` the `capability`.
`BundleWiring`
BundleRevision.`getWiring()`
Returns the bundle wiring which is using this bundle revision.